Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.om
Class Axis

    java.lang.Object
      |
      +--com.icl.saxon.om.Axis

public final class Axis
extends java.lang.Object

An axis, that is a direction of navigation in the document structure.

Field Summary
`static byte` | `ANCESTOR` Constants representing the axes
`static byte` | `ANCESTOR_OR_SELF`
`static byte` | `ATTRIBUTE`
`static java.lang.String[]` | `axisName` Table giving the name each axis
`static byte` | `CHILD`
`static byte` | `DESCENDANT`
`static byte` | `DESCENDANT_OR_SELF`
`static byte` | `FOLLOWING`
`static byte` | `FOLLOWING_SIBLING`
`static boolean[]` | `isForwards` Table indicating for each axis whether it is in forwards document order
`static boolean[]` | `isPeerAxis` Table indicating for each axis whether it is a peer axis.
`static boolean[]` | `isReverse` Table indicating for each axis whether it is in reverse document order
`static boolean[]` | `isSubtreeAxis` Table indicating for each axis whether it is contained within the subtree rooted at the origin node.
`static byte` | `NAMESPACE`
`static byte` | `PARENT`
`static byte` | `PRECEDING`
`static byte` | `PRECEDING_OR_ANCESTOR`
`static byte` | `PRECEDING_SIBLING`
`static short[]` | `principalNodeType` Table indicating the principal node type of each axis
`static byte` | `SELF`

Constructor Summary
`Axis()`

Method Summary
`static byte` | `getAxisNumber(java.lang.String name)` Resolve an axis name into a symbolic constant representing the axis

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANCESTOR

    public static final byte ANCESTOR

  Constants representing the axes

### ANCESTOR_OR_SELF

    public static final byte ANCESTOR_OR_SELF

### ATTRIBUTE

    public static final byte ATTRIBUTE

### CHILD

    public static final byte CHILD

### DESCENDANT

    public static final byte DESCENDANT

### DESCENDANT_OR_SELF

    public static final byte DESCENDANT_OR_SELF

### FOLLOWING

    public static final byte FOLLOWING

### FOLLOWING_SIBLING

    public static final byte FOLLOWING_SIBLING

### NAMESPACE

    public static final byte NAMESPACE

### PARENT

    public static final byte PARENT

### PRECEDING

    public static final byte PRECEDING

### PRECEDING_SIBLING

    public static final byte PRECEDING_SIBLING

### SELF

    public static final byte SELF

### PRECEDING_OR_ANCESTOR

    public static final byte PRECEDING_OR_ANCESTOR

### principalNodeType

    public static final short[] principalNodeType

  Table indicating the principal node type of each axis

### isForwards

    public static final boolean[] isForwards

  Table indicating for each axis whether it is in forwards document order

### isReverse

    public static final boolean[] isReverse

  Table indicating for each axis whether it is in reverse document order

### isPeerAxis

    public static final boolean[] isPeerAxis

  Table indicating for each axis whether it is a peer axis. An axis is a peer axis if no node on the axis is an ancestor of another node on the axis.

### isSubtreeAxis

    public static final boolean[] isSubtreeAxis

  Table indicating for each axis whether it is contained within the subtree rooted at the origin node.

### axisName

    public static final java.lang.String[] axisName

  Table giving the name each axis

Constructor Detail

### Axis

    public Axis()

Method Detail

### getAxisNumber

    public static byte getAxisNumber(java.lang.String name)
                              throws XPathException

  Resolve an axis name into a symbolic constant representing the axis

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD